import { ActionTypeEnum } from '@app/common/constants/automation.enum';

export interface ConvertedExecutorProperty {
  function_code?: string;
  function_value?: any;
  delay_seconds?: number;
}

export interface ConvertedAction {
  entity_id: string;
  action_executor: string;
  action_type?: ActionTypeEnum;
  executor_property?: ConvertedExecutorProperty;
}
