import { IsNotEmpty, IsString } from 'class-validator';

export class DeviceDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  spaceUuid: string;

  @IsString()
  @IsNotEmpty()
  userUuid: string;

  @IsString()
  @IsNotEmpty()
  deviceTuyaUuid: string;

  @IsString()
  @IsNotEmpty()
  productUuid: string;
}

export class DeviceUserPermissionDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public userUuid: string;

  @IsString()
  @IsNotEmpty()
  public deviceUuid: string;

  @IsString()
  @IsNotEmpty()
  public permissionTypeUuid: string;
}

export class DeviceNotificationDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public userUuid: string;

  @IsString()
  @IsNotEmpty()
  public deviceUuid: string;
}
