import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { InviteSpaceEntity } from './entities/invite-space.entity';
import { SpaceProductAllocationEntity } from './entities/space-product-allocation.entity';
import { SpaceEntity } from './entities/space.entity';
import { SubspaceProductAllocationEntity } from './entities/subspace/subspace-product-allocation.entity';
import { SubspaceEntity } from './entities/subspace/subspace.entity';

@Module({
  providers: [],
  exports: [],
  controllers: [],
  imports: [
    TypeOrmModule.forFeature([
      SpaceEntity,
      SubspaceEntity,
      InviteSpaceEntity,
      SpaceProductAllocationEntity,
      SubspaceProductAllocationEntity,
    ]),
  ],
})
export class SpaceRepositoryModule {}
