WITH params AS (
	SELECT 
      $1::uuid AS space_id,
      TO_DATE(NULLIF($2, ''), 'YYYY') AS event_year
)

SELECT psdsd.*
FROM public."presence-sensor-daily-space-detection" psdsd 
JOIN params P ON true
WHERE psdsd.space_uuid = P.space_id
AND (
  P.event_year IS NULL 
  OR TO_CHAR(psdsd.event_date, 'YYYY') = TO_CHAR(P.event_year, 'YYYY')
)
ORDER BY space_uuid, event_date