SELECT 
  B.space_device_uuid AS space_id, 
  A."date",
  SUM(A.energy_consumed_kW::numeric) AS total_energy_consumed_KW,
  SUM(A.energy_consumed_A::numeric) AS total_energy_consumed_A,
  SUM(A.energy_consumed_B::numeric) AS total_energy_consumed_B,
  SUM(A.energy_consumed_C::numeric) AS total_energy_consumed_C
FROM public."power-clamp-energy-consumed-daily" AS A -- I want to change the source table in the future.
JOIN public.device AS B
  ON A.device_uuid::TEXT = B."uuid"::TEXT 
GROUP BY 1, 2;