import { IsNotEmpty, IsNumber, IsString } from 'class-validator';

export class SpaceDailyOccupancyDurationDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public spaceUuid: string;

  @IsString()
  @IsNotEmpty()
  public eventDate: string;

  @IsNumber()
  @IsNotEmpty()
  public occupancyPercentage: number;

  @IsNumber()
  @IsNotEmpty()
  public occupiedSeconds: number;
}
