import { PermissionType } from '@app/common/constants/permission-type.enum';
import { IsEnum, IsNotEmpty, IsString } from 'class-validator';

export class PermissionTypeDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsEnum(PermissionType)
  public type: PermissionType;
}
