import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import {
  PresenceSensorDailyDeviceEntity,
  PresenceSensorDailySpaceEntity,
} from '../entities';

@Injectable()
export class PresenceSensorDailyDeviceRepository extends Repository<PresenceSensorDailyDeviceEntity> {
  constructor(private dataSource: DataSource) {
    super(PresenceSensorDailyDeviceEntity, dataSource.createEntityManager());
  }
}
@Injectable()
export class PresenceSensorDailySpaceRepository extends Repository<PresenceSensorDailySpaceEntity> {
  constructor(private dataSource: DataSource) {
    super(PresenceSensorDailySpaceEntity, dataSource.createEntityManager());
  }
}
