import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { SceneEntity, SceneIconEntity } from '../entities';

@Injectable()
export class SceneRepository extends Repository<SceneEntity> {
  constructor(private dataSource: DataSource) {
    super(SceneEntity, dataSource.createEntityManager());
  }
}

@Injectable()
export class SceneIconRepository extends Repository<SceneIconEntity> {
  constructor(private dataSource: DataSource) {
    super(SceneIconEntity, dataSource.createEntityManager());
  }
}
