import { IsNotEmpty, IsString } from 'class-validator';

export class TimeZoneDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public cityName: string;

  @IsString()
  @IsNotEmpty()
  public timeZoneOffset: string;
}
