import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { TimeZoneEntity } from '../entities';

@Injectable()
export class TimeZoneRepository extends Repository<TimeZoneEntity> {
  constructor(private dataSource: DataSource) {
    super(TimeZoneEntity, dataSource.createEntityManager());
  }
}
