import { Global, Module } from '@nestjs/common';
import { ProductService } from './services';
import { ProductRepository } from '@app/common/modules/product/repositories';
import { ProductController } from './controllers';

@Global()
@Module({
  controllers: [ProductController],
  providers: [ProductService, ProductRepository],
  exports: [ProductService],
})
export class ProductModule {}
