import { ModifyAction } from '@app/common/constants/modify-action.enum';
import {
  SpaceModelProductAllocationEntity,
  SubspaceModelEntity,
} from '@app/common/modules/space-model';
import { NewTagEntity } from '@app/common/modules/tag';
import { IUpdatedAllocations } from './subspace-product-allocation-update-result.interface';
import { ModifyTagDto } from 'src/space/dtos/tag/modify-tag.dto';

export interface IRelocatedAllocation {
  allocation: SpaceModelProductAllocationEntity;
  tags?: NewTagEntity[];
}
export interface ISingleSubspaceModel {
  subspaceModel: SubspaceModelEntity;
  action: ModifyAction;
  tags?: ModifyTagDto[];
  relocatedAllocations?: IRelocatedAllocation[];
}

export interface ISubspaceModelUpdates {
  subspaceModels: ISingleSubspaceModel[];
  updatedAllocations: IUpdatedAllocations[];
}
