import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class DeleteSubspaceDto {
  @ApiProperty({
    description: 'Uuid of the subspace model need to be deleted',
    example: '982fc3a3-64dc-4afb-a5b5-65ee8fef0424',
  })
  @IsNotEmpty()
  @IsString()
  subspaceUuid: string;
}
