import { DeviceRepositoryModule } from '@app/common/modules/device';
import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { TermsConditionsController } from './controllers';
import { TermsAndConditionsService } from './services';

@Module({
  imports: [ConfigModule, DeviceRepositoryModule],
  controllers: [TermsConditionsController],
  providers: [TermsAndConditionsService],
})
export class TermsConditionsModule {}
